<form id="demo-form2" data-parsley-validate="" class="form"
      (ngSubmit)="onSubmit()" #roundForm="ngForm" [ngSwitch]="status">

  <h3 *ngSwitchCase="tokenStatus.FRESH">Enter your round token</h3>
  <h3 *ngSwitchCase="tokenStatus.INVALID">Wrong token :(</h3>
  <h3 *ngSwitchCase="tokenStatus.VALID">That works :)</h3>


  <div class="col-xs-12 token-group">
    <div class="input-group input-group-lg">
      <input type="text" class="form-control" placeholder="Token" name="token" [(ngModel)]="token">
      <span class="input-group-btn">
        <button class="btn btn-success" type="submit">Load</button>
      </span>
    </div><!-- /input-group -->
  </div><!-- /.col-lg-6 -->

</form>
